# ADB 点位表 - 1080x2400 分辨率
# 用法: 操作前读取对应 app 的点位，按需加载

qq:
  # 主页
  home:
    search_bar: [540, 326]
    tab_messages: [135, 2281]
    tab_contacts: [675, 2281]
    tab_discover: [916, 2281]
  # 搜索页
  search:
    first_result: [230, 438]      # 搜索结果第一个联系人/群
    second_result: [230, 550]
  # 聊天页
  chat:
    input_box: [442, 2100]
    send_btn: [955, 1959]

bilibili:
  # 搜索页
  search:
    tab_live: [406, 327]          # 直播标签
    video_area: [540, 900]        # 视频/直播预览区域
    first_result: [278, 1405]     # 第一个直播间

spotify:
  search:
    first_result: [540, 523]      # 搜索结果第一首歌

doubao:
  # 豆包 AI 助手 (com.larus.nova)
  chat:
    input_box: [480, 2200]        # 输入框
    send_btn_keyboard: [987, 2068]   # 发送按钮 - 主屏（ADBKeyboard弹出时）
    send_btn_no_keyboard: [987, 2200] # 发送按钮 - 虚拟屏（无键盘弹出时）

wechat:
  # Deep Link（微信 dump 不到 UI，只能用 deeplink + 截图）
  deeplink:
    open: "weixin://"
    scan: "weixin://dl/scan"
    moments: "weixin://dl/moments"
    favorites: "weixin://dl/favorites"
    settings: "weixin://dl/settings"
    official_accounts: "weixin://dl/officialaccounts"
    sticker: "weixin://dl/sticker"
    games: "weixin://dl/games"
    pay: "weixin://dl/business/pay"
    receive: "weixin://dl/business/receive"
    # 小程序: weixin://dl/business/?appid=APPID
  
  # 主页 (视觉识别)
  home:
    search_btn: [920, 150]              # 搜索按钮
    add_btn: [680, 118]                 # 添加按钮(+)
    tab_wechat: [90, 1350]              # 底部-微信
    tab_contacts: [270, 1350]           # 底部-通讯录
    tab_discover: [450, 1350]           # 底部-发现
    tab_me: [630, 1350]                 # 底部-我
    first_chat: [360, 220]              # 聊天列表第一项
  
  # 搜索页 (视觉识别)
  search:
    back_btn: [36, 140]                 # 返回按钮
    input_box: [360, 140]               # 搜索输入框
    clear_btn: [648, 140]               # 清除按钮(X)
    most_used_first: [540, 300]         # "最常使用"第一个联系人
    contact_first: [540, 430]           # "联系人"第一个
    contact_second: [540, 540]          # "联系人"第二个
    contact_third: [540, 650]           # "联系人"第三个
    more_contacts: [90, 720]            # "更多联系人"链接
    keyboard_search: [980, 1233]        # 键盘搜索按钮
  
  # 聊天页 (视觉识别)
  chat:
    back_btn: [36, 120]                 # 返回按钮
    contact_name: [360, 120]            # 联系人名称
    menu_btn: [1044, 120]               # 右上角菜单(三个点)
    input_box: [540, 2280]              # 输入框
    send_btn: [980, 2096]               # 发送按钮
    voice_btn: [44, 2280]               # 语音按钮
    emoji_btn: [570, 2280]              # 表情按钮
  
  # 注意: 微信 uiautomator dump 返回空，需要截图+视觉模型操作

# 通用
common:
  # ADBKeyboard
  ime:
    adb_keyboard: "com.android.adbkeyboard/.AdbIME"
    wetype: "com.tencent.wetype/.plugin.hld.WxHldService"
    baidu: "com.baidu.input/.ImeService"
    sogou: "com.sohu.inputmethod.sogouoem/.SogouIME"
